package gov.va.cpss.model.fps;

import java.sql.Timestamp;
import java.util.Date;

/**
 * Bean class for the PSReceived database table.
 * 
 * @author DNS   DNS
 */
public class PSReceived {

	private long id;
	private long numOfSite;
	private long numOfStatement;
	private Timestamp dateReceived;
	private int statusId;
	private String fileName;
	private int batchRunId;
	private String createdBy;
	private Date createdDate;
	private String modifiedBy;
	private Date modifiedDate;

	public PSReceived(int batchRunId, int statusId, Timestamp dateReceived, String fileName) {
		this.batchRunId = batchRunId;
		this.dateReceived = dateReceived;
		this.statusId = statusId;
		this.createdDate = dateReceived;
		this.modifiedDate = dateReceived;
		this.fileName = fileName;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public long getNumOfSite() {
		return numOfSite;
	}

	public void setNumOfSite(long numOfSite) {
		this.numOfSite = numOfSite;
	}

	public long getNumOfStatement() {
		return numOfStatement;
	}

	public void setNumOfStatement(long numOfStatement) {
		this.numOfStatement = numOfStatement;
	}

	public Timestamp getDateReceived() {
		return dateReceived;
	}

	public void setDateReceived(Timestamp dateReceived) {
		this.dateReceived = dateReceived;
	}

	public int getStatusId() {
		return statusId;
	}

	public void setStatusId(int statusId) {
		this.statusId = statusId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public int getBatchRunId() {
		return batchRunId;
	}

	public void setBatchRunId(int batchRunId) {
		this.batchRunId = batchRunId;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

	public Date getModifiedDate() {
		return modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		this.modifiedDate = modifiedDate;
	}

}
