/**This JS Page is for Scriplets on the Batch.JSP **/
function CheckNullReturnBlank(item) {
       return item = (item == null) ? '' : item;
};
//Update Job Status Table
function updateJobStatusTableAjax() {
                $.ajax({
                        url : 'batch/updateJobStatusTable',
                        type : "GET",
                        dataType : "json",
                        success : function(data) {
                            $.each(data,function(i, item) 
                                    {
                                if (item.run !== null) 
                                        {
                                        $('tr#batch'+ item.job.id+ ' td.bStart')
                                            .text(CheckNullReturnBlank(item.run.serverStartDateString));
                                        $('tr#batch'+ item.job.id+ ' td.bEnd')
                                            .text(CheckNullReturnBlank(item.run.serverEndDateString));
                                        if(item.run.batchStatus.jobStatus == 'ERROR')
                                        	{
                                        	$('tr#batch'+ item.job.id+ ' a.hrefStatusClick')
                                            .html(CheckNullReturnBlank(item.run.batchStatus.description)
                                            + item.run.batchStatus.notice).attr('aria-label', 'Complete Error Notification');
                                        	}
                                        else
                                        	{
                                        	$('tr#batch'+ item.job.id+ ' a.hrefStatusClick')
                                            .html(CheckNullReturnBlank(item.run.batchStatus.description)
                                            + item.run.batchStatus.notice);
                                        	}
    
                               if (item.run.batchStatus.jobStatus == 'RUNNING') 
                                       {
                                       $('tr#batch'+ item.job.id+ ' td.bActionClick')
                                           .html('<span class="disabled-link">Run</span>');
                                       } 
                               else if 
                                       ($('tr#batch'+ item.job.id+ ' td.bActionClick')
                                          .children("a").length == 0) 
                                       {
                                       var a = $('<a>');
                                       a.addClass('hrefActionClick');
                                       a.attr('id', item.job.id);
                                       a.text('Run');
                                       $('tr#batch' + item.job.id+ ' td.bActionClick')
                                      .html(a);
                                                    }
                                                }
                                            });
                        },
                        error : function(error) {
                            //alert(JSON.stringify(error));
                        }
                    });
        }
//End Update Status Job Table


//Schedule periodic refresh of table via ajax
$(document).ready(function() {
    var intervalId = 0;
     intervalId = setInterval(updateJobStatusTableAjax, 1500);
});
    
 // Fix that centers Bootstrap modal dialogs vertically on the screen.
$(document).ready(function(){
   function alignModal(){
     var modalDialog = $(this).find(".modal-dialog");
     /* Applying the top margin on modal dialog to align it vertically center */
     modalDialog.css("margin-top", Math.max(0, ($(window).height() - modalDialog.height()) / 2));
            }
            // Align modal when it is displayed
      $(".modal").on("shown.bs.modal", alignModal);
            // Align modal when user resizes the window
     $(window).on("resize", function(){
                $(".modal:visible").each(alignModal);
            });   
        });

        $(function() {

            // Events for Config Dialog
            $(document).on("click", ".dialog-config-save", function(event){
                $("#myForm").submit();
            });
            $(document).on("click", "input[name=typeId]", function(event){
            	// 2 is manual mode
            	// Disable the time picker if in manual mode
                $("#dateTimeScheduleInput").prop("disabled", this.value=="2");
                if (this.value=="2") {
                    // If manual mode set value to empty
                	$('#dateTimeScheduleInput').val("").change();
                } else {
                	// If not manual and value is empty then provide a default
	                var timeValue = $('#dateTimeScheduleInput').val();
	                if (timeValue == '') {
	                	$('#dateTimeScheduleInput').val("23:00:00").change();
	                }
                }
            });
            $('#dialog-config').on('show.bs.modal', function (event) {
                $('#dateTimeScheduleInput').datetimepicker({
                    format : 'HH:mm:ss'
                });
                $('#dateTimeScheduleInput').blur();
            });
            $('#dialog-config').on('hidden.bs.modal', function (event) {
                $('#dateTimeScheduleInput').datetimepicker('destroy');
            });
            

            // Pop up job configuration dialog.
            $(".hrefConfigClick").click(function() {

                var jobId = $(this).attr('id');

                $.ajax({
                    url : 'batch/configDialog',
                    type : "get",
                    data : {
                        id : jobId
                    },
                    success : function(data) {
                        var success = $($.parseHTML(data)).filter("#theform");
                        $("#dialog-config").html(success.html());
                        $("#dialog-config").modal('show');
                    },
                    error : function(error) {
                       // alert("ERROR, can not pop up config dialog");
                    }
                });

            });


            // Events for Run Dialog
            $(document).on("click", ".dialog-run-continue", function(event){
                $("#myRunForm").submit();
            });
            $('#dialog-run').on('show.bs.modal', function (event) {
                // No action
            });
            $('#dialog-run').on('hidden.bs.modal', function (event) {
                // No action
            });

            // Pop up manual run dialog.
            $(document).on("click", ".hrefActionClick", function(event){
                //console.log("run clicked: " + $(this).attr('id'));
                var jobId = $(this).attr('id');
        
                $.ajax({
                    url : 'batch/runDialog',
                    type : "get",
                    data : {
                        id : jobId
                    },
                    success : function(data) {
                        // If it is running the response form will not exist and so the dialog should not open.
                        var formElement = $($.parseHTML(data)).filter("#theform");
                        if (formElement.length) {
                            $('#dialog-run').html(formElement.html());
                            $('#dialog-run').modal('show');
                        }
                    },
                    error : function(error) {
                        alert("ERROR, can not pop up run dialog");
                    }
                });
                
            });
        });

