/**
 *
 * CBS Account
 *
 */

INSERT INTO CBSAccount (ICN) VALUES ('ICN1234567890OLD1');

INSERT INTO CBSAccount (ICN) VALUES ('ICN1234567890OLD2');

INSERT INTO CBSAccount (ICN) VALUES ('ICN1234567890OLD3');

INSERT INTO CBSAccount (ICN) VALUES ('ICN1234567890OLD4');

INSERT INTO CBSAccount (ICN) VALUES ('ICN1234567890OLD5');


/**
 *
 * CBS Statement
 *
 */

INSERT INTO CBSStmt (ACCOUNTID, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, STATEMENTDATE, PROCESSDATE, STATUSID)
SELECT CBSAccount.ID, 0, 0, 0, 0, 0, '01-APR-16', '01-MAR-16', 2 FROM CBSAccount WHERE ICN = 'ICN1234567890OLD1';

INSERT INTO CBSStmt (ACCOUNTID, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, STATEMENTDATE, PROCESSDATE, STATUSID)
SELECT CBSAccount.ID, 0, 0, 0, 0, 0, '01-APR-16', '01-MAR-16', 2 FROM CBSAccount WHERE ICN = 'ICN1234567890OLD2';

INSERT INTO CBSStmt (ACCOUNTID, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, STATEMENTDATE, PROCESSDATE, STATUSID)
SELECT CBSAccount.ID, 0, 0, 0, 0, 0, '01-APR-16', '01-MAR-16', 2 FROM CBSAccount WHERE ICN = 'ICN1234567890OLD3';

INSERT INTO CBSStmt (ACCOUNTID, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, STATEMENTDATE, PROCESSDATE, STATUSID)
SELECT CBSAccount.ID, 0, 0, 0, 0, 0, '01-APR-16', '01-MAR-16', 2 FROM CBSAccount WHERE ICN = 'ICN1234567890OLD4';

INSERT INTO CBSStmt (ACCOUNTID, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, STATEMENTDATE, PROCESSDATE, STATUSID)
SELECT CBSAccount.ID, 0, 0, 0, 0, 0, '01-APR-16', '01-MAR-16', 2 FROM CBSAccount WHERE ICN = 'ICN1234567890OLD5';


/**
 *
 * CBS Site Statement
 *
 */

INSERT INTO CBSSiteStmt (STMTID, STATIONNUM, PROCESSDATE, STATEMENTDATE, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, ARADDRESSFLAG, LASTBILLPREPDATE)
SELECT CBSStmt.ID, 'ICN01', '01-MAR-16', '01-APR-16', 0, 0, 0, 0, 0, 'Y', '01-FEB-16'
FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD1');

INSERT INTO CBSSiteStmt (STMTID, STATIONNUM, PROCESSDATE, STATEMENTDATE, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, ARADDRESSFLAG, LASTBILLPREPDATE)
SELECT CBSStmt.ID, 'ICN02', '01-MAR-16', '01-APR-16', 0, 0, 0, 0, 0, 'Y', '01-FEB-16'
FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD2');

INSERT INTO CBSSiteStmt (STMTID, STATIONNUM, PROCESSDATE, STATEMENTDATE, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, ARADDRESSFLAG, LASTBILLPREPDATE)
SELECT CBSStmt.ID, 'ICN03', '01-MAR-16', '01-APR-16', 0, 0, 0, 0, 0, 'Y', '01-FEB-16'
FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD3');

INSERT INTO CBSSiteStmt (STMTID, STATIONNUM, PROCESSDATE, STATEMENTDATE, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, ARADDRESSFLAG, LASTBILLPREPDATE)
SELECT CBSStmt.ID, 'ICN04', '01-MAR-16', '01-APR-16', 0, 0, 0, 0, 0, 'Y', '01-FEB-16'
FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD4');

INSERT INTO CBSSiteStmt (STMTID, STATIONNUM, PROCESSDATE, STATEMENTDATE, AMNTDUE, PREBALANCE, TOTALCHARGES, TOTALCREDITS, NEWBALANCE, ARADDRESSFLAG, LASTBILLPREPDATE)
SELECT CBSStmt.ID, 'ICN05', '01-MAR-16', '01-APR-16', 0, 0, 0, 0, 0, 'Y', '01-FEB-16'
FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD5');


/**
 *
 * CBS Site Patient
 *
 */

INSERT INTO CBSSitePatient (SITESTMTID, ICN, DFN, OLDACNTNUM)
SELECT CBSSiteStmt.ID, 'ICN1234567890OLD1', 111111111111111, 'OLDACCOUNTNUM01'
FROM CBSSiteStmt WHERE STMTID = (SELECT CBSStmt.ID FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD1'));

INSERT INTO CBSSitePatient (SITESTMTID, ICN, DFN, OLDACNTNUM)
SELECT CBSSiteStmt.ID, 'ICN1234567890OLD2', 222222222222222, 'OLDACCOUNTNUM02'
FROM CBSSiteStmt WHERE STMTID = (SELECT CBSStmt.ID FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD2'));

INSERT INTO CBSSitePatient (SITESTMTID, ICN, DFN, OLDACNTNUM)
SELECT CBSSiteStmt.ID, 'ICN1234567890OLD3', 333333333333333, 'OLDACCOUNTNUM03'
FROM CBSSiteStmt WHERE STMTID = (SELECT CBSStmt.ID FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD3'));

INSERT INTO CBSSitePatient (SITESTMTID, ICN, DFN, OLDACNTNUM)
SELECT CBSSiteStmt.ID, 'ICN1234567890OLD4', 444444444444444, 'OLDACCOUNTNUM04'
FROM CBSSiteStmt WHERE STMTID = (SELECT CBSStmt.ID FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD4'));

INSERT INTO CBSSitePatient (SITESTMTID, ICN, DFN, OLDACNTNUM)
SELECT CBSSiteStmt.ID, 'ICN1234567890OLD5', 555555555555555, 'OLDACCOUNTNUM05'
FROM CBSSiteStmt WHERE STMTID = (SELECT CBSStmt.ID FROM CBSStmt WHERE ACCOUNTID = (SELECT ID FROM CBSAccount WHERE ICN = 'ICN1234567890OLD5'));


/**
 *
 * ICN Registration
 *
 */

INSERT INTO ICNRegistration (DFN, STATIONNUM, ICN, STATUSID) VALUES (111111111111111, 'ICN01', 'ICN1234567890OLD1', 1);

INSERT INTO ICNRegistration (DFN, STATIONNUM, ICN, STATUSID) VALUES (222222222222222, 'ICN02', 'ICN1234567890OLD2', 1);

INSERT INTO ICNRegistration (DFN, STATIONNUM, ICN, STATUSID) VALUES (333333333333333, 'ICN03', 'ICN1234567890OLD3', 1);

INSERT INTO ICNRegistration (DFN, STATIONNUM, ICN, STATUSID) VALUES (444444444444444, 'ICN04', 'ICN1234567890OLD4', 1);

INSERT INTO ICNRegistration (DFN, STATIONNUM, ICN, STATUSID) VALUES (555555555555555, 'ICN05', 'ICN1234567890OLD5', 1);


/**
 *
 * ICN History
 *
 */

INSERT INTO ICNHistory (DFN, STATIONNUM, OLDICN, NEWICN, STATUSID) VALUES (111111111111111, 'ICN01', 'ICN1234567890OLD1', 'ICN1234567890NEW1', 1);

INSERT INTO ICNHistory (DFN, STATIONNUM, OLDICN, NEWICN, STATUSID) VALUES (222222222222222, 'ICN02', 'ICN1234567890OLD2', 'ICN1234567890NEW2', 2);

INSERT INTO ICNHistory (DFN, STATIONNUM, OLDICN, NEWICN, STATUSID) VALUES (333333333333333, 'ICN03', 'ICN1234567890OLD3', 'ICN1234567890NEW3', 1);

INSERT INTO ICNHistory (DFN, STATIONNUM, OLDICN, NEWICN, STATUSID) VALUES (444444444444444, 'ICN04', 'ICN1234567890OLD4', 'ICN1234567890OLD4', 1);

INSERT INTO ICNHistory (DFN, STATIONNUM, OLDICN, NEWICN, STATUSID) VALUES (555555555555555, 'ICN05', 'ICN1234567890OLD5', 'ICN1234567890NEW5', 1);
