package gov.va.cpss.model.icn;

import java.util.Date;

import gov.va.cpss.model.CBSSAuditDates;

/**
 * Bean class for the VistaAccount database table.
 * 
 * @author DNS   DNS
 */
public class VistaAccount implements CBSSAuditDates {

	private long dfn;
	private String stationNum;
	private String icn;
	private long cbssAcntId;
	private int statusId;
	private String createdBy;
	private Date createdDate;
	private String modifiedBy;
	private Date modifiedDate;

	public VistaAccount() {}
	
	public VistaAccount(final long dfn, final String stationNum, final String icn, final long cbssAcntId) {
		this.dfn = dfn;
		this.stationNum = stationNum;
		this.icn = icn;
		this.cbssAcntId = cbssAcntId;
	}
	
	public long getDfn() {
		return dfn;
	}

	public void setDfn(long dfn) {
		this.dfn = dfn;
	}

	public String getStationNum() {
		return stationNum;
	}

	public void setStationNum(String stationNum) {
		this.stationNum = stationNum;
	}

	public String getIcn() {
		return icn;
	}

	public void setIcn(String icn) {
		this.icn = icn;
	}

	public long getCbssAcntId() {
		return cbssAcntId;
	}

	public void setCbssAcntId(long cbssAcntId) {
		this.cbssAcntId = cbssAcntId;
	}

	public int getStatusId() {
		return statusId;
	}

	public void setStatusId(int statusId) {
		this.statusId = statusId;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

	public Date getModifiedDate() {
		return modifiedDate;
	}

	public void setModifiedDate(Date modifiedDate) {
		this.modifiedDate = modifiedDate;
	}

}
