<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:set var="cbssPageTitle" value="CBSS Batch Status" />
<c:set var="includeBatchTab" value="${true}" />
<c:set var="includeLogoutTab" value="${true}" />
<c:set var="selectedTab" value="${'BatchStatus'}" />

<%@include file="header.jsp"%>

<div id="batchStatusForm">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h2 class="panel-title" id=batchStatusInfo tabindex=4>
				<strong>Status:</strong> <br>
				<br>
			</h2>

			<div tabindex="5">
				
					<span>Batch Process Name: ${batchItem.job.description}</span>
					<br>
					<span>Start: ${batchItem.run.serverStartDateString}</span>
					<br>
					<span>End: ${batchItem.run.serverEndDateString}</span>
					<br>
					<span>Status: ${batchItem.run.batchStatus.description} </span>
					<div tabindex="6">
						<c:set var="message" value="${batchItem.run.message}" />
						<c:set var="newline" value="<%=\"\n\"%>" />
						<c:set var="splitMessage"
							value="${fn:replace(message,newline, '<br />')}" />
						<span>${splitMessage}</span>
					</div>
					<span style="display:none">Run#: ${batchItem.run.id}</span>
				


			<div tabindex="8">
					<button class="btn btn-default backBtn"
						onclick="location.href='${pageContext.request.contextPath}/batch'" aria-label="Back" title="Back">Back</button>
				</div>
				<br> <br> <br>
			</div>
		</div>

	</div>
</div>



<%@include file="footer.jsp"%>
